<?php

namespace backend\modules\administrator\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\LabPriceCt;

/**
 * LabPriceCtSearch represents the model behind the search form of `common\models\LabPriceCt`.
 */
class LabPriceCtSearch extends LabPriceCt
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['CustID', 'LabID', 'LabUpdLstDate', 'UserIDEntry', 'UserDate'], 'safe'],
            [['LabNorUPrice', 'LabSpPrice'], 'number'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = LabPriceCt::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'LabNorUPrice' => $this->LabNorUPrice,
            'LabSpPrice' => $this->LabSpPrice,
            'LabUpdLstDate' => $this->LabUpdLstDate,
            'UserDate' => $this->UserDate,
        ]);

        $query->andFilterWhere(['like', 'CustID', $this->CustID])
            ->andFilterWhere(['like', 'LabID', $this->LabID])
            ->andFilterWhere(['like', 'UserIDEntry', $this->UserIDEntry]);

        return $dataProvider;
    }
}
